-------------------------------------------------------------------------------
-- (C) Altran Praxis Limited
-------------------------------------------------------------------------------
--
-- The SPARK toolset is free software; you can redistribute it and/or modify it
-- under terms of the GNU General Public License as published by the Free
-- Software Foundation; either version 3, or (at your option) any later
-- version. The SPARK toolset is distributed in the hope that it will be
-- useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-- Public License for more details. You should have received a copy of the GNU
-- General Public License distributed with the SPARK toolset; see file
-- COPYING3. If not, go to http://www.gnu.org/licenses for a complete copy of
-- the license.
--
--=============================================================================

with Ada.Command_Line;

package body SPARK.Ada.Command_Line is
   --# hide SPARK.Ada.Command_Line;

   function Argument_Count return Natural is
   begin
      return Standard.Ada.Command_Line.Argument_Count;
   end Argument_Count;

   procedure Set_Exit_Status (Code : in Exit_Status) is
   begin
      Standard.Ada.Command_Line.Set_Exit_Status
        (Code => Standard.Ada.Command_Line.Exit_Status (Code));
   end Set_Exit_Status;

end SPARK.Ada.Command_Line;
